THIS FILE BELONGS TO THE ITO PACKAGE
      ***  Instruction  manual  ***          ---  Version 13  ---

In case of problems, write or call J. W. Visser, Technisch Physische
     Dienst, P.O.Box 155, Delft, Netherlands. Phone 015 - 787004,
     (788020) / 40 or
G.G.JJohnson jr., Materials Research Lab., Penn. State University,
     University Park, Penn. 16802, 814-865-1637/40 or
R.Shirley, Chemical Physics Dept., Univ. of Surrey, Guildford,
     Surrey GU2 5XH, England. Phone 0483-71281 x449/427

This program tries to find the unit cell from the powder pattern. The
principles are described in a paper by Visser in the Journal of Applied
Crystallography (1969) 2, 89.


Most of the calculations are carried out in terms of Q-values, these
are (100/d)**2 ,where d is the interplanar distance in Angstroms. All
values in the program are expressed in Qu (Q-units), unless indicated
otherwise.

The input of the program is on unit 15, the regular output is on unit
16. The card-images of the input cards are printed on unit 14.  *** A
summary of the output (suitable for CRT-terminals, lines < 71
characters) is printed on unit 66 these i/o units can be changed in the
main program.


The usual input of this program should consist of

1.   A title card, containing up to 80 characters.

2.   A parameter card, which may be completely blank.

3.   Another parameter card. Can also be blank.

4.   A number of lines cards.  The optimum number of lines to be entered
     is somewhere between 30 and 35.  The absolute minimum is 20. There
     is no maximum, but the program will use only the first 40 lines

     Note**    If you actually use cards, they may be left blank.
               However, in some computer systems one cannot generate an
               input file with completely blank lines, they disappear
               without a trace. In that case, it is better to enter a
               zero in the first column of the second and third 'card'.

----------------------------------------------------------------------
The lines should be entered in ascending order of twotheta (=descending
order of d).
----------------------------------------------------------------------

     They can be entered as 2theta, Q- or d- values  in the format
     8f10.5 . You may leave any number of positions on the card blank.
     This means that you can also enter only one line per card, in any
     of the positions of 8f10.5  moreover, only the first six lines must
     be in their correct order. After determining whether these are in
     ascending (2theta,Q) or descending (d) order, the program will sort
     all lines. If you want to drop a questionable input line, change
     only its sign (punch a minus). The value will remain readable, both
     on the card and in the test output.

5.   A blank card (or a zero in col. 1 if you want to be more explicit)
     to finish the input of lines of one problem.

     Repeat the points 1-4 as many times as problems then 6.A card
     containing the word -- END -- in the first three columns, to
     finish the input.


     The parameter card can contain the following parameters --

     COLUMN  FORMAT  NAME   DEFAULT     MEANING

     1       A1      MAN      0         Prints these instructions,
                                        unless MAN=9

     2       A1      INSTR    0         Prints instructions for special
                                        features if INSTR=1

     3       A1      INTENS   0         Reads intensities besides line
                                        positions (8(f7.3,A3)) if
                                        INTENS=1

     4       I1      NSOLMX   4         Number of solutions printed out
                                        extensively.

     5- 6    I2      NSYST(1) 0         Orthorhombic system, +1=yes,
                                        -1=no, 0=indifferent.

     7- 8    I2      NSYST(2) 0         Monoclinic system, +1=yes,
                                        -1=no, 0=indifferent.

     9-10    I2      NSYST(3) 0         Triclinic system,  +1=yes,
                                        -1=no, 0=indifferent.

     11-15   F5.2    TOL2     3.0 (QU)  Tolerance (range) on
                                        2-dimensional search.

     16-20   F5.2    TOL3     4.5 (QU)  Tolerance(range) on
                                        3-dimensional search

     21-30   F10.5   WAVEL    1.5406(A) Wavelength

     31-32   I2      LINCO    0         If LINCO .gt. 0, Enter line
                                        combinations or zones (4F10.2),
                                        End with a blank card,or a card
                                        with a zero in the first
                                        column.

     33      I1      LZERCK   0         Gives a check on zero-errors
                                        when LZERCK > 0

     34      I1      K (ENL)  0         Gives output of intermediate
                                        results, if K .ge. 1

     35-36   I2      NQ1      3         NQ1 and NQ2 determine the
                                        numbers of lines to be used in
     37-38   I2      NQ2      6         combinations for finding zones.

     39-40   I2      NZ1      6         NZ1 and NZ2 do the same for
                                        finding lattices from zones
     41-42   I2      NZ2      6

     43-44   I2      NR       0         Refinement and evaluation only
                                        if NR .gt. 0.  Trial lattices
                                        required

     45-46   I2      INDAT    5         Number of the unit on which to
                                        read the line positions

     47-48   I2      LIST     1         Prints a list of all calc and
                                        obs lines for *list* lattices

     49-50   I2      J(TEST)  0         Test output is  printed when
                                        J.ge.1

     51-60   F10.5   WMOL     0.0       Molecular weight

     61-70   F10.5   DOBS     0.0       Observed density

     71-78   F8.4    TOLG     6.0       Tolerance on the match between
                                        calculated and observed two
                                        thetas.

     79-80   I2      NTST     0         Number,indicating where in the
                                        main program, test output
                                        should start on second card

     1-10    F10.4   ZERCOR   0.0       Zero correction (degrees
                                        twotheta), to be applied to all
                                        lines

     11-20   F10.1   PRNTMR   4.0       The minimum figure of merit for
                                        a lattice to be printed

     21-30   F10.0   PRNTLN   14.       The minimum number of indexed
                                        lines for a lattice to be
                                        printed.


Instructions for special features ****  Version  13  *****

           COL  3  **INTENS**

If you want to enter intensities with your line positions you should set
intens (col 3) at 1. The line positions and intensities are then read in
the format 8(F7.3,A2,1X), which means that the intensities are read as
characters. You may enter them as a 2-digit figure but also as VS, W,
VW, etc. You could also use this to mark only the very weak lines or
suspected lines. No calculations are carried out with the intensities.

           COL  4  **NSOLMX**

NSOLMX is the maximum number of solutions for which a list of (indexed)
reflections is printed. The corresponding Q-scheme is only printed when
intermediate results are given (col. 34) .and. The figure of merit is
larger than 4.0.

           COL 5-6, 7-8, 9-10   **NSYST**

When you are reasonably sure that the solution must belong to a certain
crystal system, you can indicate this in cols 5-10 (3I2). The columns
serve the orthorhombic, monoclinic and triclinic system respectively. A
zero means that you are indifferent (default case), a +1 indicates that
you are pretty sure that the correct solution belongs to this crystal
system, a -1 means the opposite.  This option works only on the last
part of the program and doubles the tolerances there. This is only
possible for orthorhombic, monoclinic and triclinic lattices.

            COL 11-15   **TOL2**
            COL 16-20   **TOL3**


The tolerance on the value of R (the trial value of F used in the search
for zones, see my paper, eq. 4) Is given by *tol2*. When you have very
good data (0.01 Degree twotheta) on a fairly large unit cell, you might
lower it to 2.5 Or 2.0 . With a small unit cell you might increase it
somewhat to say 4.0. TOL3 is the same kind of tolerance, but now on the
trial value of d in the search for lattices (see paper, page 91).Its
value can be changed in the same way as that of TOL2.

           COL 31-32  **LINCO**

LINCO enables you to enter your own line combinations or your own zones.
When linco is not zero, the program expects cards (after the lines cards
+ the blank card) and reads these in the format  3F10.2,F10.1. You may
enter any number of zones (less than 40) but you must end with a blank
card. When you enter only 2 values, the program interprets this as a
combination of lines, to be tried for finding zones. When you enter 3
values, the program will treat  these as  a zone and will evaluate it.
If you want to enter a rectangular zone, you must set its third constant
at 0.08 , Otherwise the program will treat it as a line combination. If
you want to ensure that a specified zone will be included in the search
for complete lattices, you should also enter a high quality figure
(fourth value on the card), punching a single digit in col. 31 assures
you of a high quality figure. If the program does not find the solution
automatically, it can often be helped by adding zones in this way. Zones
which are correct, although having a low quality figure, can sometimes
be recognised in the list of intermediate results (K, col.34). By their
small area (i.e. large *a* and *b*) and good coverage near the origin
(i.e. Most of the  low angle calculated lines have been matched with
observed lines). Zones from oriented specimens or fibres, or from
electron diffraction studies, can also be used.

N.B. The program will skip the zone-finding part whenever this option is
used. Take care to enter enough zones (or line combinations) to let the
program continue.

           COL 33   ***LZERCK***

You can also ask the program to perform a check on zero errors (col.
33). The subroutine gives full particulars.

           COL 43-44   **NR**

When you want to enter a number of trial lattices of your own, you can
do this by making nr pos. The program will now expect cards with trial
lattices after the input of the lines (+blank card). There should be 6
data per card (format 6F10.2), The coefficients A, B, C, D, E and F of

                 Q=H*H*A+K*K*B+L*L*C+K*L*D+L*H*E+H*K*F

where Q=10000/(D*D)  (D=interplanar spacing in A)

***** You may also enter the trial lattice as a direct lattice with 6
constants in Angstroms and (decimal) degrees. The trial lattices are
terminated by a card with zero or blank in cols 1-10.

           COL 47-48  **LIST**

LIST. For the best solution, the program will produce a list of all
observed and calculated lines, sorted on twotheta, unless it would be
too long (more than 100 calculated lines). If you want this list for
more solutions, you should enter the number that you want in col. 48.
You can also suppress this option by making list negative. Default=1


           COL 71-78   **TOLG**

TOLG is the tolerance on the fit between observed and calculated lines.
It is expressed in hundredths of a degree twotheta, e.G. The default
value of 6.0 Means that a difference of 0.060 Degrees twotheta between
calculated and observed lines is just acceptable. TOLG applies to both
the zone and lattice searches, and to the lattice refinement. For very
accurate data it can be advantageous to lower tolg to 4.0 or 3.5. For
inaccurate data it can be increased, but such data is not usually worth
processing unless the cell is very small.

           COL  79-80  *NTST**

The test output can be limited to the subroutine  where you really need
it, by entering a parameter for *ntest* in column 80 of the first
parameter  card. (See subroutine for directions)

If you want the test output to continue until the end of the program,
you must multiply the desired number by 11 and use columns 79 and 80 of
the first parameter card. Punch e.G.  88 If the last part of the
program gives you trouble.


                               ********************
                               *  On second card  *
                               ********************

           COL 01-10  **ZERCOR**

**ZERCOR** The program applies this correction to all lines. The
correction is applied as it stands, a positive correction is added to
the twotheta values of the lines. The correction must be given in
degrees twotheta, e.g. -0.052. Subtracts 0.052 degrees from the twotheta
values of all lines, even if you entered d-values.

           COL 11-20  **PRNTMR**

**PRNTMR** The program does not print any lattices that have a figure of
merit that is below prntmr. The default value is 4.0, which must be
considered as an absolute minimum for a lattice that has a chance to
improve its performance.

           COL 21-30  **PRNTLN**

**PRNTLN** The program does not print any lattices that have less than
**PRNTLN** indexed lines. Lattices with such a low number of indexed
lines are sometimes a sublattice of the true lattice.  A lattice can
only be considered as satisfactory when it explains all lines.

**Note**  A useful strategy is to improve the observed data by using
lines for which 2 or more orders have been observed. The lowest orders
can be replaced by a more accurate value calculated from the higher
orders, and sometimes unobserved first or second order lines can be
inferred and added to the  *observed* pattern. Low order absences in
well-established zones can be filled in a similar way. Multiple orders
can also be used to check for zero errors in twotheta.  See also
subroutine ZERCHK.

**********************************************************************
                            ITO test data
**********************************************************************
KNO3, 10**4 SINESQ. THETA-VAL. (CR KA1) OF HESSE, A.CRYST. 1,200 (1968)
1                   2.28962     1               1                     6.
0.0
923.00    943.00    1271.00   1392.00   1427.00   1720.00   1789.00
1853.00
1877.00   1898.00   2264.00   2339.00   2411.00   2496.00   2678.00
2731.00
2818.00   3060.00   3122.00   3263.00   3462.00   3481.00   3513.00
3689.00
3766.00   4177.00   4223.00   4287.00   4500.00   4600.00   4663.00
4963.00
5239.00   5427.00   5551.00   5624.00   5693.00   5748.00   6151.00
6699.00

PATTERN WITH MISTAKES AND ERRORS , TO BE SKIPPED.
9
   8.05000   7.09000   4.92000   4.80000   8.05000   7.09000   4.92000
4.8100
   4.27000   4.20000   4.05000   3.72000   3.61000   3.19000   3.16000
3.1100
   2.99300   2.91300   2.73500   2.69500   2.39900   2.32500

ORTHORHOMBIC PP32 NBS MONOGRAPH 25 SECT. 8, FIRST 7 LINES IN ONE ZONE.
1  1-1-1                       1                  442.42
0.0
   11.50 M   15.66VW   16.92 W   17.81 W   18.65 M   23.09VW   25.04MS
   26.38VW
   26.69VW   29.13VS   29.23VS   29.77VW   30.05 M   30.32 M   31.57VW
   32.70VW
   33.65MS   34.21 M   34.75 W   34.99 W   35.13VW   35.97VW   38.59 M
   40.72VW
   41.97VW   42.66 M   42.82MW   43.55VW   43.88VW   45.08MW

ORTHORHOMBIC PP 32 NBS MONOGR. 25 SECT. 8 WITH A DIRECT LATT. AND Q-VALS
  1                              1         1
0.0
   11.50 M   15.66VW   16.92 W   17.81 W   18.65 M   23.09VW   25.04MS
   26.38VW
   26.69VW   29.13VS   29.23VS   29.77VW   30.05 M   30.32 M   31.57VW
   32.70VW
   33.65MS   34.21 M   34.75 W   34.99 W   35.13VW   35.97VW   38.59 M
   40.72VW
   41.97VW   42.66 M   42.82MW   43.55VW   43.88VW   45.08MW

91.15     77.92     709.55
10.474    11.329    3.754     90.       90.       90.

CUSO4.5H2O, TRICL., WITH SEVERAL DIFF. INPUT LATT,ALL END AS CD CELL
9                                1         1
0.0
   8.44     15.45     15.61     16.19     17.00     17.22     18.32
18.80
  19.02     20.71     22.20     22.29     23.98     24.92     25.14
25.76
  26.95     27.34     28.01     29.10     29.27     30.70     31.18
31.62
  32.04     32.49     32.83     33.30     33.60     34.67     34.87
35.45
  36.63     36.84     37.11     37.34     38.08     38.57     38.89
38.95

7.161     10.722    11.124    147.58    105.07    94.38
 6.12     10.70     5.97      97.72     107.43    77.35
7.155     10.71     5.955     97.63     125.32    94.32
304.4     91.8      310.6     24.4      169.7     -63.2

CU S O4 . 5 H2 O  TRICLINIC,  CRYSTAL DATA III, PAGE A-7.
                                                   249.69    2.284
0.0
   8.44     15.45     15.61     16.19     17.00     17.22     18.32
18.80
  19.02     20.71     22.20     22.29     23.98     24.92     25.14
25.76
  26.95     27.34     28.01     29.10     29.27     30.70     31.18
31.62
  32.04     32.49     32.83     33.30     33.60     34.67     34.87
35.45
  36.63     36.84     37.11     37.34     38.08     38.57     38.89
38.95

NICKEL BROMIDE, SG=R-3M (166), A=3.72, C=18.34, NBS MONGR. 25, 10, PP119
                                                   218.52    4.64
0.0
14.48      28.08    29.20     29.34     33.96     37.10     44.52
48.70
48.88     51.26     57.32     57.80     57.96     58.04     60.54
60.86
62.68     68.26     71.48     79.02     79.24     81.40     81.68
91.00
91.42     91.56     97.84     111.08    111.70    119.86    122.38
122.72

NICKEL BROMIDE, WITH 2 GIVEN LATTICES.
  1                                        2
0.0
14.48      28.08    29.20     29.34     33.96     37.10     44.52
48.70
48.88     51.26     57.32     57.80     57.96     58.04     60.54
60.86
62.68     68.26     71.48     79.02     79.24     81.40     81.68
91.00
91.42     91.56     97.84     111.08    111.70    119.86    122.38
122.72

 961.95   29.8      961.95              961.95
 992.0    2885.8    267.8               178.0

NAME=     Z840,  SG= FDD2,  OPN.  11 178-3(A)
9
0.
17.57     17.87     21.40     23.55     24.80     30.55     30.86
32.62     33.41     36.17     37.68     37.98     39.01     40.44
41.49     43.57     44.60     45.76     46.43     48.13     50.06
50.87     51.34     54.55     55.12     55.79     60.47     61.53
63.06     63.65     67.65     75.11
0.0        0.0

NAME=     K2 MN2 (S O4)3 ,CUBIC, NBS MON 25,SECT. 6,P 43,A=10.1143
9
0.0
15.16     19.62     21.51     26.41     27.87
29.29     31.87     33.12     36.60     37.69
38.78     39.85     40.84     41.86     43.82
44.74     45.69     46.62     48.42     49.31
51.89     52.74     53.57     54.39     55.20
56.02     57.58     58.38     59.15     59.93
0.0
END
